Rated 5 out of 5 stars

must have plugin if you're flashget users

This review is for a previous version of the add-on (1.4.7).